#!/usr/bin/python3

import sys
import random

def cmdlinearg(name, default=None):
    for arg in sys.argv:
        if arg.startswith(name + "="):
            return arg.split("=")[1]
    assert default is not None
    return default

def main():
    random.seed(int(sys.argv[-1]))
    N = int(cmdlinearg("N"))
    at = 318 * 10**9 // 2

    noise = 10
    N = N - noise
    H = [at]
    at += 1
    while len(H) + 1 < N // 2:
        H.append(at)
    rev = H[::-1]
    if N%2 == 0:
        H.append(at + 1)
        H.append(at + 1)
    else:
        H.append(at + 1)
    H.extend(rev)

    H.extend([0 for _ in range(noise)])

    print(len(H))
    print(*H)
    
if __name__ == "__main__":
    main()
