#!/usr/bin/python3

import sys
import random

def cmdlinearg(name, default=None):
    for arg in sys.argv:
        if arg.startswith(name + "="):
            return arg.split("=")[1]
    assert default is not None
    return default

def main():
    random.seed(int(sys.argv[-1]))
    N = int(cmdlinearg("N"))
    density = int(cmdlinearg("density", 2))
    print(N)
    print(''.join('1' if random.randint(1, density) == 1 else '0' for _ in range(N)))
    
if __name__ == "__main__":
    main()
