#!/bin/bash
USE_SCORING=0
. ../../../testdata_tools/gen.sh

# ulimit -s unlimited

use_solution nils.cpp

compile gen_random.py
compile gen_two.py

MAXN=500
MAXS=1000000

sample_manual 1
sample_manual 2
sample_manual 3
sample_manual 4


tc small-01 gen_random n=2 s=10
tc small-02 gen_random n=3 s=20
tc small-03 gen_random n=4 s=40 errors=1
tc small-04 gen_random n=10 s=400
tc small-05 gen_random n=10 s=1000
tc small-06 gen_random n=10 s=1000 errors=1
tc small-07 gen_random n=10 s=1000 mode=random

tc random-08 gen_random n=2
tc random-09 gen_random n=3
tc random-10 gen_random n=$MAXN
tc random-11 gen_random n=$MAXN errors=1
tc random-12 gen_random n=$MAXN errors=$MAXN
tc random-13 gen_random n=2 letters=1
tc random-14 gen_random n=3 letters=1
tc random-15 gen_random n=$MAXN letters=1
tc random-16 gen_random n=$MAXN letters=2
tc random-17 gen_random n=$MAXN letters=2 errors=1
tc random-18 gen_random n=100 s=100000 mode=random
tc random-19 gen_random n=$MAXN letters=1 mode=random
tc random-20 gen_random n=$MAXN letters=2 errors=50
tc random-21 gen_random n=$MAXN letters=1 mode=uneven
tc random-22 gen_random n=3 letters=1 mode=uneven
tc random-23 gen_random n=4 letters=3

tc two-24 gen_two s=20 
tc two-25 gen_two s=20 copies=2
tc two-26 gen_two
tc two-27 gen_two letters=2
tc two-28 gen_two letters=2 copies=2
tc two-29 gen_two letters=2 copies=30
tc two-30 gen_two letters=2 copies=30 errors=5
tc two-31 gen_two letters=2 copies=1000
tc two-32 gen_random n=2 letters=2 errors=30
tc two-33 gen_two copies=6000
tc two-34 gen_two copies=6000 errors=5
tc thuemorse-35 gen_two mode=thuemorse s=500
tc thuemorse-36 gen_two mode=thuemorse s=500 errors=1
tc thuemorse-37 gen_two mode=thuemorse
tc two-38 gen_two mode=same s=100000 copies=1
tc two-39 gen_two mode=same copies=1
tc two-40 gen_two mode=same s=100000 copies=1000
tc two-41 gen_two mode=same s=111111 copies=1 errors=1
tc two-42 gen_two mode=same s=98765 copies=1000 errors=1
tc two-43 gen_two mode=valid s=100 copies=20
tc two-44 gen_two mode=valid s=1000 copies=10
tc two-45 gen_two mode=valid s=1000 copies=250
tc two-46 gen_two mode=valid copies=200000
tc two-47 gen_two mode=valid copies=100000
tc two-48 gen_two mode=valid copies=1000
tc two-49 gen_two mode=valid copies=10
tc two-50 gen_two mode=valid copies=100000 errors=1

tc empty-51 gen_random n=47 mode=empty
tc empty-52 gen_two mode=empty
